ANABOX smart
API ReferenceOrganizationsOrganizationid

Update an organization by ID

Updates the details of a specific organization by its ID.

PATCH
/organizations/{organizationId}
x-api-key<token>

API key for authentication

In: header

Path Parameters

organizationIdstring

A valid MongoDB ObjectId

name?string

The name of the organization

organizationstring

A valid MongoDB ObjectId

kind?string

The type or category of the organization

meta?

Additional metadata for the entry

Response Body

application/json

curl -X PATCH "https://api.memo.wirewire.de/v1/organizations/682fd0d7d4a6325d9d45b86e" \  -H "Content-Type: application/json" \  -d '{    "name": "Acme Inc.",    "organization": "682fd0d7d4a6325d9d45b86d",    "kind": "private",    "meta": {      "billingId": "cus_123",      "region": "eu"    }  }'
{
  "id": "682fd0d7d4a6325d9d45b86e",
  "name": "Acme Inc.",
  "email": "contact@acme.example",
  "kind": "private"
}